Delete Dataset By Id
DELETE https://api.coactive.ai/api/v1/datasets/{dataset_id}Delete a dataset by its unique identifier
Authentication
Section titled “Authentication”Authorizationheader (bearer token, required) — Bearer authentication of the formBearer <token>, where token is your auth token.
Request
Section titled “Request”Path parameters
Section titled “Path parameters”dataset_id(string, required)
Response
Section titled “Response”Successful Response
created_dt(string, required) — The created datetime of the resource in ISO 8601 format.created_by(string, required) — ID of the user who added the asset to the dataset.id(string, required) — The unique identifier for the dataset.name(string, required) — Name of the dataset, must be unique per organization and must only contain alphanumeric and underscore characters.embeddings(list of object, required) — The encoders of the dataset.id(string, required) — The unique identifier for the encoder.name(enum or string, required) — The model used to extract visual and audio features from assets.modality(string, required) — The supported modality of the encoder.modalities(list of string, required) — The supported modalities of the encoder.
encoders(list of object, required) — The encoders of the dataset.id(string, required) — The unique identifier for the encoder.name(enum or string, required) — The model used to extract visual and audio features from assets.modality(string, required) — The supported modality of the encoder.modalities(list of string, required) — The supported modalities of the encoder.
description(string, required, nullable) — A short summary of what the dataset includes or is intended for.allowed_asset_types(list of enum, required) — Types of assets allowed in this dataset.- Allowed values:
image,video
- Allowed values:
status(enum, required, nullable) — The status of the dataset.- Allowed values:
active,inactive,deleting,deleted
- Allowed values:
keyframe_sampling_method(enum, required) — Sampling method to extract keyframes from videos in dataset.- Allowed values:
intelligent,uniform
- Allowed values:
store_original(boolean, required) — Whether the original file is stored.store_preview(boolean, required) — Whether preview files are stored.updated_dt(string, optional, nullable) — The datetime the resource was last updated in ISO 8601 format.updated_by(string, optional, nullable) — ID of the user who last updated the asset.deleted_dt(string, optional, nullable) — Timestamp if the resource was deleted.deleted_by(string, optional, nullable) — ID of the user who deleted the resource.keyframe_uniform_fps_sampling_rate(double, optional, nullable) — FPS rate used for uniform sampling.metadata_fields_to_index(list of string, optional, nullable) — The metadata fields to index for the dataset.metadata_fields_to_embed(list of string, optional, nullable) — The metadata fields to embed for the dataset.dataset_config(object, optional, nullable)embedding_id(map from string to string, required) — Mapping from encoder modality to the UUID of the embedding model used for that modality.encoder_name(map from string to string, required) — Mapping from encoder modality to the name of the encoder model used for that modality.extra_config(object, optional, nullable) — Optional extra configuration for composite types.composite_settings(map from string to object, required) — Mapping of composite type name to its settings.maximum_slice_duration_seconds(integer, required) — Maximum duration in seconds for a single composite slice.
hybrid_search(object, optional, nullable) — Optional hybrid search configuration specifying modality weights.weights(map from string to double, required) — Weights for each modality used in hybrid search scoring.
context_studio_enabled(boolean, optional, nullable, default: false) — Whether Context Studio is enabled for this dataset.metadata_fields_to_embed(list of string, optional, nullable) — Metadata fields whose values are embedded.metadata_fields_to_index(list of string, optional, nullable) — Metadata fields that are indexed for filtering and search.celebrity_detection_enabled(boolean, optional, nullable, default: false) — Whether celebrity detection is enabled for this dataset.agentic_search_metadata_description(map from string to string, optional, nullable) — Per-key descriptions of metadata fields.asset_identifier_key(string, optional, nullable) — The metadata field name that uniquely identifies each asset in the dataset.context_studio_export_json_connection_name(string, optional, nullable) — The name of the connection required for external s3 export. (this is related to context_studio feature).
Errors
Section titled “Errors”422 Unprocessable Entity Error
Section titled “422 Unprocessable Entity Error”Validation Error
detail(list of object, optional)loc(list of string or integer, required)msg(string, required)type(string, required)
Examples
Section titled “Examples”Response
{ "created_dt": "2026-05-29T19:00:16.311121Z", "created_by": "user123", "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "name": "march_2025_sports_clips", "embeddings": [ { "id": "44b5df56-fb37-4132-8902-2940c80d9089", "name": "multimodal", "modality": "image", "modalities": [ "image", "video" ] } ], "encoders": [ { "id": "44b5df56-fb37-4132-8902-2940c80d9089", "name": "multimodal", "modality": "image", "modalities": [ "image", "video" ] } ], "description": "Clips from March Madness", "allowed_asset_types": [ "image", "video" ], "status": "active", "keyframe_sampling_method": "intelligent", "store_original": true, "store_preview": true, "updated_dt": "2026-05-29T19:00:16.311172Z", "updated_by": "user123", "deleted_dt": "2026-05-29T19:00:16.311236Z", "deleted_by": "user123", "keyframe_uniform_fps_sampling_rate": 1, "metadata_fields_to_index": [ "title", "description" ], "metadata_fields_to_embed": [ "title", "description" ], "dataset_config": { "embedding_id": { "audio_transcript": "a8d6a1f6-800d-499a-bb37-822fc71dfac2", "audio_transcript_chunk": "c5e1d8a0-3f4b-4c9b-9d1e-2f6a8b5c7d3e", "capped-shot-segment": "09bdcde7-8b89-4229-9494-35a4e52690ca", "image": "b25cf36e-e9b3-41d2-a856-47c891622cf9" }, "encoder_name": { "audio_transcript": "st-qwen-p6b", "audio_transcript_chunk": "st-qwen-p6b", "capped-shot-segment": "nova2-multimodal-1024", "image": "nova2-multimodal-1024" }, "extra_config": { "composite_settings": { "capped-shot-segment": { "maximum_slice_duration_seconds": 30 } } }, "hybrid_search": { "weights": { "image": 0.5, "text": 0.5 } }, "context_studio_enabled": false, "metadata_fields_to_embed": [ "title", "description" ], "metadata_fields_to_index": [ "title", "description" ], "celebrity_detection_enabled": false, "agentic_search_metadata_description": { "director": "The film director's name", "year": "Release year as integer" }, "asset_identifier_key": "external_id", "context_studio_export_json_connection_name": "my_connection" }}SDK Code
import requests
url = "https://api.coactive.ai/api/v1/datasets/dataset_id"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.json())const url = 'https://api.coactive.ai/api/v1/datasets/dataset_id';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.coactive.ai/api/v1/datasets/dataset_id"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}require 'uri'require 'net/http'
url = URI("https://api.coactive.ai/api/v1/datasets/dataset_id")
http = Net::HTTP.new(url.host, url.port)http.use_ssl = true
request = Net::HTTP::Delete.new(url)request["Authorization"] = 'Bearer <token>'
response = http.request(request)puts response.read_bodyimport com.mashape.unirest.http.HttpResponse;import com.mashape.unirest.http.Unirest;
HttpResponse<String> response = Unirest.delete("https://api.coactive.ai/api/v1/datasets/dataset_id") .header("Authorization", "Bearer <token>") .asString();<?phprequire_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://api.coactive.ai/api/v1/datasets/dataset_id', [ 'headers' => [ 'Authorization' => 'Bearer <token>', ],]);
echo $response->getBody();using RestSharp;
var client = new RestClient("https://api.coactive.ai/api/v1/datasets/dataset_id");var request = new RestRequest(Method.DELETE);request.AddHeader("Authorization", "Bearer <token>");IRestResponse response = client.Execute(request);import Foundation
let headers = ["Authorization": "Bearer <token>"]
let request = NSMutableURLRequest(url: NSURL(string: "https://api.coactive.ai/api/v1/datasets/dataset_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0)request.httpMethod = "DELETE"request.allHTTPHeaderFields = headers
let session = URLSession.sharedlet dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) }})
dataTask.resume()